org.apache.cassandra.serializers

## Class LongSerializer

- java.lang.Object
- - org.apache.cassandra.serializers.LongSerializer

All Implemented Interfaces:
  TypeSerializer<java.lang.Long>

Direct Known Subclasses:
  CounterSerializer

    public class LongSerializer
    extends java.lang.Object
    implements TypeSerializer<java.lang.Long>

### Field Summary

Fields
`static LongSerializer` `instance`

### Constructor Summary

Constructors
Constructor and Description
`LongSerializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Long` `deserialize(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.lang.Long>` `getType()`
`java.nio.ByteBuffer` `serialize(java.lang.Long value)`
`java.lang.String` `toString(java.lang.Long value)`
`void` `validate(java.nio.ByteBuffer bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.serializers.TypeSerializer

`toCQLLiteral`

### Field Detail

#### instance

    public static final LongSerializer instance

### Constructor Detail

#### LongSerializer

    public LongSerializer()

### Method Detail

#### deserialize

    public java.lang.Long deserialize(java.nio.ByteBuffer bytes)

Specified by:
  `deserialize` in interface `TypeSerializer<java.lang.Long>`

#### serialize

    public java.nio.ByteBuffer serialize(java.lang.Long value)

Specified by:
  `serialize` in interface `TypeSerializer<java.lang.Long>`

#### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

Specified by:
  `validate` in interface `TypeSerializer<java.lang.Long>`
Throws:
  `MarshalException`

#### toString

    public java.lang.String toString(java.lang.Long value)

Specified by:
  `toString` in interface `TypeSerializer<java.lang.Long>`

#### getType

    public java.lang.Class<java.lang.Long> getType()

Specified by:
  `getType` in interface `TypeSerializer<java.lang.Long>`